Subject: Re: bug#15591: [PATCH] libparted: handle i18n gpt partition names correctly

From: Jim Meyering <[email-masked]>
Date: Sat, 21 Dec 2013 10:37:10 -0800

> So I added a test and just fired off the revised patch.

Thanks for doing that!

>  Running the
> test suite though, things go fubar.  A bunch of tests fail with parted
> crashing with a segfault.  The first one is
> t0205-gpt-list-clobbers-pmbr.  The thing is, when I run the exact same
> commands the test does by hand, they work just fine.  Got any ideas?

Adjusting per my "use only ASCII in test script" may help.
If not, post a revised patch and I'll make time to investigate in the
next few days.

PS. please attach it or tell your editor not to split long lines ---
that mangles patches.